# $Id: fuse-python.spec,v 1.3 2023/03/07 15:31:51 repoman Exp repoman $
# Authority: dag
%define debug_package %{nil}

%if 0%{?fedora} > 0 && 0%{?fedora} <= 37 || 0%{?centos} > 0 && 0%{?centos} < 9
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%if 0%{?with_python3}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%endif

Summary: Python bindings for FUSE - filesystem in userspace
Name: fuse-python
Version: 1.0.5
Release: 1%{?dist}
License: LGPLv2
Group: System Environment/Base
URL: http://sourceforge.net/apps/mediawiki/fuse/index.php?title=FusePython
Packager: Lawrence R. Rogers <lrr@cert.org>
Vendor: CERT Linux Forensics Tools Repository (LFTR) http://www.cert.org/forensics/repository
Source: http://dl.sf.net/fuse/fuse-python-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: fuse-devel
BuildRequires: pkgconfig

%description
This package provides python bindings for FUSE. FUSE makes it possible
to implement a filesystem in a userspace program.

%if 0%{?with_python2}
%package -n fuse-python2
Summary: Python2 bindings for FUSE - filesystem in userspace
Provides: python-fuse = %{version}-%{release}
Provides: fuse-python2
Provides: python2-fuse
BuildRequires: python2-devel
%if 0%{?fedora} <= 34
BuildRequires: python2-setuptools
%endif
BuildRequires: python2-rpm-macros

%description -n fuse-python2
This package provides Python 2 bindings for FUSE. FUSE makes it possible
to implement a filesystem in a userspace program.
%endif

%if 0%{?with_python3}
%package -n fuse-python%{python3_pkgversion}
Summary:	Python3 bindings for FUSE - filesystem in userspace
Provides:	fuse-pythonpython3_pkgversion
Provides:	pythonpython3_pkgversion-fuse
BuildRequires:	python%{python3_pkgversion}-devel

%description -n fuse-python%{python3_pkgversion}
This package provides Python 2 bindings for FUSE. FUSE makes it possible
to implement a filesystem in a userspace program.
%endif

%prep
%setup

%build
%if 0%{?with_python2}
%py2_build
%endif

%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python3}
%py3_install
%endif

%clean
%{__rm} -rf %{buildroot}

%if 0%{?with_python2}
%files -n fuse-python2
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING FAQ README* example/
%{python2_sitearch}/fuse*
%endif

%if 0%{?with_python3}
%files -n fuse-python%{python3_pkgversion}
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING FAQ README* example/
%{python3_sitearch}
%endif

%changelog
* Mon Apr 25 2022 Lawrence R. Rogers <lrr@cert.org> - 1.0.5-1
- Release 1.0.5-1
	Version 1.0.5

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> - 1.0.4-1
- Release 1.0.4-1
	Version 1.0.4

* Sat Nov 20 2010 Dag Wieers <dag@wieers.com> - 0.2.1-1
- Initial package. (using DAR)
